Skip to main content
GET
/
v1
/
audit-events
Search Audit Events
curl --request GET \
  --url https://flowker.sandbox.lerian.net/v1/audit-events \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "eventId": "9d8e7f6a-5b4c-4321-9876-a1b2c3d4e5f6",
      "eventType": "WORKFLOW_CREATED",
      "action": "CREATE",
      "result": "SUCCESS",
      "resourceId": "550e8400-e29b-41d4-a716-446655440000",
      "resourceType": "workflow",
      "actor": {
        "type": "user",
        "id": "d4e5f6a7-b8c9-4012-d345-444444444444",
        "ipAddress": "192.168.1.100"
      },
      "context": {},
      "metadata": {},
      "timestamp": "2026-03-17T14:35:15Z",
      "hash": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0a1b2",
      "previousHash": "f6e5d4c3b2a1f0e9d8c7b6a5f4e3d2c1b0a9f8e7d6c5b4a3f2e1d0c9b8a7f6e5"
    }
  ],
  "nextCursor": "9d8e7f6a-5b4c-4321-9876-a1b2c3d4e5f6",
  "hasMore": true
}

Authorizations

X-API-Key
string
header
required

API key for authenticating requests to the Flowker API. Provisioned via the API_KEY environment variable during deployment.

Query Parameters

eventType
string

Filter by event type (e.g., WORKFLOW_CREATED, EXECUTION_STARTED).

action
string

Filter by action (e.g., CREATE, UPDATE, DELETE, ACTIVATE, DEACTIVATE, DRAFT, EXECUTE).

result
enum<string>

Filter by result.

Available options:
SUCCESS,
FAILED
resourceType
enum<string>

Filter by resource type.

Available options:
workflow,
execution,
provider_config
resourceId
string<uuid>

Filter by resource ID.

dateFrom
string<date-time>

Start of the date range filter (RFC 3339 format).

dateTo
string<date-time>

End of the date range filter (RFC 3339 format).

limit
integer
default:20

Maximum number of items per page. Defaults to 20. Must be between 1 and 100.

Required range: 1 <= x <= 100
cursor
string

Cursor for pagination. Use the value from the nextCursor field in a previous response to retrieve the next page.

sortOrder
enum<string>
default:DESC

Sort direction. Use ASC for ascending or DESC for descending.

Available options:
ASC,
DESC

Response

Indicates that the request was successful and the response contains the requested data.

Paginated list of audit event entries.

items
object[]

Audit event entries in the current page.

nextCursor
string

Cursor for the next page. Empty if this is the last page.

Example:

"9d8e7f6a-5b4c-4321-9876-a1b2c3d4e5f6"

hasMore
boolean

Whether more pages are available.

Example:

true